function [yy] = lagint(x, y, xx)
% LAGINT uses the ponts (x_i, y_i) for the Lagrange Form of the
% interpolating polynomial and iterpolates the values
% yy_i = P_n(xx_i)
% from http://www.math.univ-paris13.fr/~halpern/teaching/MACS1_2010/ch5.pdf
n = length(x); nn = length(xx);
for i = 1:nn
  yy(i) = 0;
  for k =1:n
    yy(i) = yy(i)+y(k)*prod((xx(i) - x([1:k-1,k+1:n])))/prod((x(k) - x([1:k-1,k+1:n])));
  end
end
